### Function

# GLib SList reverse

#### Declaration

    GSList*
    g_slist_reverse (
      GSList* list
    )

#### Description

Reverses a `GSList`.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The start of the reversed `GSList`.

The data is owned by the called function.